1. Merchant Management
v2.0 (Sandbox)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Idempotent Requests
    • Webhook
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
        POST
      • Get Merchant
        GET
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Fiat Account Request Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Merchant Management

Merchant Status Webhook

Webhook
POST
Merchant Status Webhook

API Overview#

ItemValue
API StatusRecommended
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
TypeWebhook (Incoming)
Description
To update merchant status after creation or update.
This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:
You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices.

Request

Authorization
Header Params

Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "applicationId": "string",
        "merchantInfo": {
            "participantCode": "string",
            "applicationType": 1,
            "clientReference": "string",
            "merchantDetails": {
                "personalDetails": {
                    "firstName": "string",
                    "middleName": "string",
                    "lastName": "string",
                    "dateOfBirth": "string",
                    "nationality": "string",
                    "residentialAddress": {
                        "country": "string",
                        "state": "string",
                        "city": "string",
                        "postcode": "string",
                        "addressLine1": "string",
                        "addressLine2": "string"
                    },
                    "contactNumber": {
                        "countryCode": "string",
                        "phoneNumber": "string"
                    },
                    "email": "string",
                    "taxResidency": "string"
                },
                "additionalPersonalDetails": {
                    "occupation": "string",
                    "purposesOfAccountOpening": [
                        "Buy Crypto"
                    ],
                    "sourceOfFunds": [
                        "Cryptocurrency Mining"
                    ],
                    "sourceOfWealth": [
                        "Cryptocurrency Mining"
                    ]
                },
                "supportingDocuments": [
                    {
                        "type": 1,
                        "fileId": "string"
                    }
                ]
            }
        },
        "status": 1,
        "statusInfo": "string",
        "updateAt": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "applicationId": "string",
        "merchantInfo": {
            "participantCode": "string",
            "applicationType": 1,
            "clientReference": "string",
            "merchantDetails": {
                "personalDetails": {
                    "firstName": "string",
                    "middleName": "string",
                    "lastName": "string",
                    "dateOfBirth": "string",
                    "nationality": "string",
                    "residentialAddress": {
                        "country": "string",
                        "state": "string",
                        "city": "string",
                        "postcode": "string",
                        "addressLine1": "string",
                        "addressLine2": "string"
                    },
                    "contactNumber": {
                        "countryCode": "string",
                        "phoneNumber": "string"
                    },
                    "email": "string",
                    "taxResidency": "string"
                },
                "additionalPersonalDetails": {
                    "occupation": "string",
                    "purposesOfAccountOpening": [
                        "Buy Crypto"
                    ],
                    "sourceOfFunds": [
                        "Cryptocurrency Mining"
                    ],
                    "sourceOfWealth": [
                        "Cryptocurrency Mining"
                    ]
                },
                "supportingDocuments": [
                    {
                        "type": 1,
                        "fileId": "string"
                    }
                ]
            }
        },
        "status": 1,
        "statusInfo": "string",
        "updateAt": 0
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-03-25 02:34:04
Previous
Get Merchant
Next
Fiat Account Management
Built with